Subject: snmpconf Policy MIB: comments on the pmSchedTable

From: "Robert Moore" <[email-masked]>
Date: Thu, 8 Mar 2001 10:00:48 -0500

I have three comments on the Policy Management MIB's
pmSchedTable:

1. Because this table is representing intervals
   over which a policy is active, rather than
   instants at which a script is triggered, the
   use of BITS for representing hours and minutes
   is the wrong approach.  A typical use for this
   table would be to say that a policy is active
   from, say, 0830 until 1630 on Monday through
   Friday.  The Monday through Friday works fine
   with BITS, but in order to do the time interval
   with BITS, you'd need to have three different
   entries grouped together:

      - hour = h8, minutes = m30 through m59
      - hour = h9 though h15, minutes = m0
        through m59
      - hour = h16, minutes = m0 through m29.

   Doing it this way makes this typical case way
   too hard.  Instead, you should go with the
   interval mechanism used in the Policy Core
   Information Model, RFC 3060.  With this
   mechanism, you'd still have the BITS for the
   days of the week, but the time interval would
   be represented by a starting and ending time
   (0830 and 1630, respectively, in the example).

2. Even if you make the change I've proposed above,
   there will still be three objects with the BITS
   syntax: pmSchedWeekDay, pmSchedMonth, and
   pmSchedDay.  Because these three objects are
   ANDed together to determine a schedule, I think
   it would be much more natural for their DEFVALs
   to be all bits turned on, rather than all bits
   turned off (as it is now).  If I want a schedule
   to be active on Monday through Friday, it should
   be sufficient for me to set the bits in
   pmSchedWeekDay corresponding to Monday through
   Friday.  As it is now, I also have to go in and
   set all 12 bits in pmSchedMonth, and set enough
   bits in pmSchedDay to cover all the days of the
   month.  I shouldn't have to do this -- the
   DEFVALs should take care of it for me.

3. An editorial comment: in the descriptions for
   pmSchedStorageType and pmSchedRowStatus, the
   text talks about "... this scheduled action."
   The role of this table is to schedule *policies*,
   not actions.  These two descriptions should be
   adjusted to say this.

Regards,
Bob

Bob Moore
Advanced Design and Technology
Application Integration Middleware Division
IBM Software Group
+1-919-254-4436
[email-masked]